Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 443871 - (perl-CPAN-Mini) Review Request: perl-CPAN-Mini - Create a minimal mirror of CPAN
Review Request: perl-CPAN-Mini - Create a minimal mirror of CPAN
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
http://search.cpan.org/dist/CPAN-Mini/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 15:40 EDT by Chris Weyl
Modified: 2008-05-30 16:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 16:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-04-23 15:40:09 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-CPAN-Mini-0.568-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-CPAN-Mini.spec

Description:
CPAN::Mini provides a simple mechanism to build and update a minimal mirror
of the CPAN on your local disk. It contains only those files needed to
install the newest version of every distribution. Those files are:
Comment 4 Xavier Bachelot 2008-05-29 12:00:28 EDT
+ source files match upstream : 9e32e5749f315b1dfb2b3568a13621f9
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text is included.
- latest version is being packaged.
0.571 is released.
- BuildRequires are proper.
BuildRequires:  perl >= 1:5.6.0 is not needed
+ %clean is present.
+ package builds in mock.
+ package installs properly
+ rpmlint is silent
- final provides and requires are sane
Requires perl >= 0:5.006 due to the BR: on perl (see above)
+ %check is present and all tests pass
+ owns the directories it creates
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

%description is truncated
Comment 6 Xavier Bachelot 2008-05-30 03:30:21 EDT
new source md5sum (matches upstream) : 0fcaa2f7ee4872c51ae62620ec04f221

Still requires perl >= 0:5.006
sed -i -e '/use 5.006;/d' Makefile.PL fixes it, but this is harmless.

Looks good, APPROVED.
Comment 7 Chris Weyl 2008-05-30 11:36:26 EDT
New Package CVS Request
=======================
Package Name: perl-CPAN-Mini
Short Description: Create a minimal mirror of CPAN
Owners: cweyl
Branches: F-7, F-8, F-9, devel
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2008-05-30 15:30:16 EDT
cvs done, except for F-7 branch (We are no longer doing F-7 branches) do you
really need one?
Comment 9 Chris Weyl 2008-05-30 16:56:28 EDT
(In reply to comment #8)
> cvs done, except for F-7 branch (We are no longer doing F-7 branches) do you
> really need one?

Not really -- just part of my "request branch" script.  I wasn't aware we'd
stopped doing F-7 branches; I'll drop that from the script...

Note You need to log in before you can comment on or make changes to this bug.